从 ubuntu 14升级到 16.04之后,蓝牙问题

分享于 

7分钟阅读

ubuntu

  繁體

问题

升级到ubuntu 16.04后,笔记本电脑无法打开蓝牙。尝试重新安装bluez和blueman以及其他蓝牙应用程序,但不能解决问题

蓝牙服务状态


● bluetooth.service - Bluetooth service


 Loaded: loaded (/lib/systemd/system/bluetooth.service; enabled; vendor preset: enabled)


 Active: active (running) since Sun 2016-05-15 10:14:59 IRDT; 5h 40min ago


 Docs: man:bluetoothd(8)


 Main PID: 1104 (bluetoothd)


 Status:"Running"


 Tasks: 1 (limit: 512)


 CGroup: /system.slice/bluetooth.service


 └─1104 /usr/lib/bluetooth/bluetoothd



May 15 10:15:03 morteza-CX61-2PC bluetoothd[1104]: Not enough free handles to register service


May 15 10:15:03 morteza-CX61-2PC bluetoothd[1104]: Not enough free handles to register service


May 15 10:15:03 morteza-CX61-2PC bluetoothd[1104]: Sap driver initialization failed.


May 15 10:15:03 morteza-CX61-2PC bluetoothd[1104]: sap-server: Operation not permitted (1)


May 15 10:15:04 morteza-CX61-2PC bluetoothd[1104]: Loading LTKs timed out for hci0


May 15 10:15:41 morteza-CX61-2PC bluetoothd[1104]: Failed to set mode: Not Powered (0x0f)


May 15 10:15:41 morteza-CX61-2PC bluetoothd[1104]: Failed to get connections: Not Powered (0x0f)


May 15 10:16:52 morteza-CX61-2PC bluetoothd[1104]: Failed to set mode: Failed (0x03)


May 15 10:17:02 morteza-CX61-2PC bluetoothd[1104]: Failed to set mode: Failed (0x03)


May 15 14:13:45 morteza-CX61-2PC bluetoothd[1104]: Failed to set mode: Failed (0x03)



lsusb接口


Bus 002 Device 002: ID 8087:8000 Intel Corp. 


Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub


Bus 001 Device 002: ID 8087:8008 Intel Corp. 


Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub


Bus 004 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub


Bus 003 Device 004: ID 13d3:3394 IMC Networks Bluetooth


Bus 003 Device 003: ID 046d:c52f Logitech, Inc. Unifying Receiver


Bus 003 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub



rfkill列表


0: phy0: Wireless LAN


 Soft blocked: yes


 Hard blocked: no


1: hci0: Bluetooth


 Soft blocked: no


 Hard blocked: no 



dmesg | egrep -i'blue|firm' 

[ 0.147244] [Firmware Bug]: ACPI: BIOS _OSI(Linux) query ignored


[ 0.816454] [Firmware Bug]: ACPI(PEGP) defines _DOD but not _DOS


[ 1.761166] usb 3-7: Product: RT Bluetooth Radio


[ 1.776032] psmouse serio1: elantech: assuming hardware version 3 (with firmware version 0x550f00)


[ 15.773162] Using firmware rtlwifi/rtl8723fw_B.bin


[ 18.901441] Bluetooth: Core ver 2.21


[ 18.901451] Bluetooth: HCI device and connection manager initialized


[ 18.901454] Bluetooth: HCI socket layer initialized


[ 18.901455] Bluetooth: L2CAP socket layer initialized


[ 18.901459] Bluetooth: SCO socket layer initialized


[ 19.093565] Bluetooth: hci0: rtl: examining hci_ver=06 hci_rev=000b lmp_ver=06 lmp_subver=1200


[ 19.093568] Bluetooth: hci0: rtl: loading rtl_bt/rtl8723a_fw.bin


[ 40.996583] Bluetooth: BNEP (Ethernet Emulation) ver 1.3


[ 40.996585] Bluetooth: BNEP filters: protocol multicast


[ 40.996588] Bluetooth: BNEP socket layer initialized


[ 41.247665] Bluetooth: RFCOMM TTY layer initialized


[ 41.247670] Bluetooth: RFCOMM socket layer initialized


[ 41.247673] Bluetooth: RFCOMM ver 1.11


[ 42.998956] Bluetooth: hci0 command 0x0c56 tx timeout


[ 102.826854] Bluetooth: hci0 urb ffff8800c6322d80 failed to resubmit (113)


[ 112.790161] Bluetooth: hci0 urb ffff8800a66bf240 failed to resubmit (113)



在blueman软件中尝试搜索设备时收到这个错误


Resource Not Ready


Traceback (most recent call last):


 File"/usr/lib/python3/dist-packages/blueman/bluez/errors.py", line 146, in warp


 return func(*args, **kwargs)


 File"/usr/lib/python3/dist-packages/blueman/bluez/Adapter.py", line 135, in start_discovery


 self.get_interface().StartDiscovery()


 File"/usr/lib/python3/dist-packages/dbus/proxies.py", line 145, in __call__


 **keywords)


 File"/usr/lib/python3/dist-packages/dbus/connection.py", line 651, in call_blocking


 message, timeout)


dbus.exceptions.DBusException: org.bluez.Error.NotReady: Resource Not Ready



During handling of the above exception, another exception occurred:



Traceback (most recent call last):


 File"/usr/bin/blueman-manager", line 210, in inquiry


 self.List.DiscoverDevices()


 File"/usr/lib/python3/dist-packages/blueman/gui/DeviceList.py", line 401, in DiscoverDevices


 self.Adapter.start_discovery()


 File"/usr/lib/python3/dist-packages/blueman/bluez/errors.py", line 148, in warp


 raise parse_dbus_error(exception)


blueman.bluez.errors.DBusNotReadyError: Resource Not Ready



当我尝试重新启动蓝牙服务时,终端弹出错误消息


Connection to BlueZ failed


Bluez daemon is not running, blueman-manager cannot continue.


This probably means that there were no Bluetooth adapters detected or Bluetooth daemon was not started.




答案1

以下对我有用(冷启动)


sudo hciconfig -a hci0


sudo hciconfig hci0 down


sudo hciconfig hci0 up


sudo hciconfig -a hci0




答案2

你可以尝试重新安装bluetooth:


sudo apt-get purge bluetooth


sudo apt-get install bluetooth



正常工作。



Ubuntu  蓝牙  
相关文章